"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.prismjsPlugin = void 0;
const loadLanguages_1 = require("./loadLanguages");
const resolveHighlighter_1 = require("./resolveHighlighter");
const prismjsPlugin = ({ preloadLanguages = ['markdown', 'jsdoc', 'yaml'], } = {}) => ({
    name: '@vuepress/plugin-prismjs',
    extendsMarkdown(md) {
        if ((preloadLanguages === null || preloadLanguages === void 0 ? void 0 : preloadLanguages.length) !== 0) {
            (0, loadLanguages_1.loadLanguages)(preloadLanguages);
        }
        md.options.highlight = (code, lang) => {
            const highlighter = (0, resolveHighlighter_1.resolveHighlighter)(lang);
            return (highlighter === null || highlighter === void 0 ? void 0 : highlighter(code)) || '';
        };
    },
});
exports.prismjsPlugin = prismjsPlugin;
